// package wh40k implements the full WH40K.EXE functionality, and is used from
// cmd/wh40k/main.go
//
// Entrypoint is Run()
package wh40k

import (
	"fmt"

	"code.ur.gs/lupine/ordoor/internal/config"
)

type WH40K struct {
	Config *config.Config
}

func Run(configFile string) error {
	cfg, err := config.Load(configFile)
	if err != nil {
		return fmt.Errorf("Couldn't load config file: %v", err)
	}

	wh40k := &WH40K{
		Config: cfg,
	}

	wh40k.PlaySkippableVideo("LOGOS")
	wh40k.PlaySkippableVideo("movie1")

	// TODO: load main interface

	return nil
}
